#!/bin/sh
#  

# 
poolname='tank'
#  
DATE=`date +%Y.%m.%d_%H%M`

#      
zfs snapshot -r ${poolname}@${DATE}

# 
zfs list -t snapshot

ftpkeys="-i -a -A -P 8022"
usr="proxy3"
pass=${usr}
ftpsrv="192.168.1.19"

#     
cp backup_restore_910.txt fb910.${poolname}.${DATE}.backup.txt
ftp -i -A -P 8022 -u ftp://${usr}:${pass}@${ftpsrv}/ fb910.${poolname}.${DATE}.backup.txt
rm fb910.${poolname}.${DATE}.backup.txt

#      
cp /boot/pmbr fb910.${poolname}.${DATE}.pmbr
cp /boot/gptzfsboot fb910.${poolname}.${DATE}.gptzfsboot
ftp -i -A -P 8022 -u ftp://${usr}:${pass}@${ftpsrv}/ fb910.${poolname}.${DATE}.pmbr
ftp -i -A -P 8022 -u ftp://${usr}:${pass}@${ftpsrv}/ fb910.${poolname}.${DATE}.gptzfsboot
rm fb910.${poolname}.${DATE}.pmbr
rm fb910.${poolname}.${DATE}.gptzfsboot

# ,  , 
#1160334296 bytes sent in 18:26 (1.00 MiB/s)
#     -  ,
#     , 
#    .
zfs send -R ${poolname}@${DATE}  | gzip -9 | ftp ${ftpkeys} -u ftp://${usr}:${pass}@${ftpsrv}/fb910.${poolname}.${DATE}.img.gz -
echo "------- end send snapshot '${poolname}.${DATE}', sleep 4c ----" 

#   , 
#4814869016 bytes sent in 01:07 (68.14 MiB/s)
#zfs send -R ${poolname}@${DATE} | ftp ${ftpkeys} -u ftp://${usr}:${pass}@${ftpsrv}/fb910.${poolname}.${DATE}.img -
#echo "------- end send snapshot '${poolname}.${DATE}', sleep 4c ----" 

sleep 4
echo ' '

# 
zfs destroy -r ${poolname}@${DATE}
